Skip to main content
PUT
/
frontend
/
api
/
v1
/
auth
/
api-token
/
{token}
Refresh API Token or set Token TTL and change permissions
curl --request PUT \
  --url https://{host}/frontend/api/v1/auth/api-token/{token} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "permissions": [
    "read:billing"
  ],
  "reset-permissions": false,
  "restrictions": [
    "read:billing"
  ],
  "ttl": 0
}
'
import requests

url = "https://{host}/frontend/api/v1/auth/api-token/{token}"

payload = {
"permissions": ["read:billing"],
"reset-permissions": False,
"restrictions": ["read:billing"],
"ttl": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
permissions: ['read:billing'],
'reset-permissions': false,
restrictions: ['read:billing'],
ttl: 0
})
};

fetch('https://{host}/frontend/api/v1/auth/api-token/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created": "2023-11-07T05:31:56Z",
  "expired": true,
  "expires-at": "2023-11-07T05:31:56Z",
  "permissions": {},
  "restrictions": {},
  "token": "<string>",
  "updated": "2023-11-07T05:31:56Z"
}
{
"code": 123,
"context": {},
"error": "<string>",
"status": "<string>"
}

Authorizations

Authorization
string
header
required

API Key Security (Header).

Path Parameters

token
string
required

API Token

Body

permissions
enum<string>[]

Permissions list

Available options:
read:admin,
read:billing,
read:invite,
read:media,
read:profile,
read:statistics,
read:sub-user,
read:user,
write:admin,
write:billing,
write:invite,
write:media,
write:sub-user,
write:user
reset-permissions
boolean
default:false
restrictions
enum<string>[]

Restrictions list

Available options:
read:admin,
read:billing,
read:invite,
read:media,
read:profile,
read:statistics,
read:sub-user,
read:user,
write:admin,
write:billing,
write:invite,
write:media,
write:sub-user,
write:user
ttl
integer
default:0

Token expiration time. 0 - no expire

Required range: x >= 0

Response

OK

created
string<date-time>
expired
null | boolean
expires-at
null | string<date-time>
permissions
object
restrictions
object
token
string
updated
string<date-time>